## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl        https://github.com/wummel/patool
Version:                4.0.0
%global tag             4.0.0

%forgemeta

%global _description %{expand:
Patool is an archive file manager.

Various archive formats can be created, extracted, tested, listed, searched,
repacked and compared with patool. The advantage of patool is its simplicity
in handling archive files without having to remember a myriad of programs
and options.

The archive format is determined by the file(1) program and as a fallback
by the archive file extension.

patool supports 7z (.7z, .cb7), ACE (.ace, .cba), ADF (.adf), ALZIP (.alz),
APE (.ape), AR (.a), ARC (.arc), ARJ (.arj), BZIP2 (.bz2), CAB (.cab),
COMPRESS (.Z), CPIO (.cpio), DEB (.deb), DMS (.dms), FLAC (.flac), GZIP (.gz),
ISO (.iso), LRZIP (.lrz), LZH (.lha, .lzh), LZIP (.lz), LZMA (.lzma),
LZOP (.lzo), RPM (.rpm), RAR (.rar, .cbr), RZIP (.rz), SHN (.shn),
TAR (.tar, .cbt), XZ (.xz), ZIP (.zip, .jar, .cbz) and ZOO (.zoo)
archive formats. It relies on helper applications to handle those archive
formats (for example bzip2 for BZIP2 archives).

The archive formats TAR, ZIP, BZIP2 and GZIP are supported natively and do
not require helper applications to be installed.}

Name:           patool
Release:        %autorelease
Summary:        Portable command line archive file manager

License:        GPL-3.0-or-later
URL:            http://wummel.github.io/patool/
Source:         %{forgesource}
# https://github.com/wummel/patool/pull/181
Patch:          0001-Fix-Star-testing-parameters.patch

BuildArch:      noarch
BuildRequires:  python3-devel >= 3.11
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

BuildRequires:  /usr/bin/7z
BuildRequires:  /usr/bin/7za
BuildRequires:  /usr/bin/ar
BuildRequires:  /usr/bin/bsdcpio
BuildRequires:  /usr/bin/bsdtar
BuildRequires:  /usr/bin/bzip2
BuildRequires:  /usr/bin/cabextract
BuildRequires:  /usr/bin/compress
BuildRequires:  /usr/bin/cpio
BuildRequires:  /usr/bin/dpkg-deb
BuildRequires:  /usr/bin/extract_chmLib
BuildRequires:  /usr/bin/flac
BuildRequires:  /usr/bin/genisoimage
BuildRequires:  /usr/bin/gzip
BuildRequires:  /usr/bin/isoinfo
BuildRequires:  /usr/bin/lbzip2
BuildRequires:  /usr/bin/lzip
BuildRequires:  /usr/bin/lzma
BuildRequires:  /usr/bin/lzop
BuildRequires:  /usr/bin/nomarch
BuildRequires:  /usr/bin/pbzip2
BuildRequires:  /usr/bin/pigz
BuildRequires:  /usr/bin/rpm2cpio
BuildRequires:  /usr/bin/rzip
BuildRequires:  /usr/bin/shar
BuildRequires:  /usr/bin/star
BuildRequires:  /usr/bin/tar
BuildRequires:  /usr/bin/unshar
BuildRequires:  /usr/bin/unzip
BuildRequires:  /usr/bin/xdms
BuildRequires:  /usr/bin/xz
BuildRequires:  /usr/bin/zip
BuildRequires:  /usr/bin/zopfli
BuildRequires:  /usr/bin/zpaq

Requires:       python3-%{name}

Recommends:     /usr/bin/7z
Recommends:     /usr/bin/7za
Recommends:     /usr/bin/ar
Recommends:     /usr/bin/bsdcpio
Recommends:     /usr/bin/bsdtar
Recommends:     /usr/bin/bzip2
Recommends:     /usr/bin/cabextract
Recommends:     /usr/bin/compress
Recommends:     /usr/bin/cpio
Recommends:     /usr/bin/dpkg-deb
Recommends:     /usr/bin/extract_chmLib
Recommends:     /usr/bin/flac
Recommends:     /usr/bin/genisoimage
Recommends:     /usr/bin/gzip
Recommends:     /usr/bin/isoinfo
Recommends:     /usr/bin/lbzip2
Recommends:     /usr/bin/lzip
Recommends:     /usr/bin/lzma
Recommends:     /usr/bin/lzop
Recommends:     /usr/bin/nomarch
Recommends:     /usr/bin/pbzip2
Recommends:     /usr/bin/pigz
Recommends:     /usr/bin/rpm2cpio
Recommends:     /usr/bin/rzip
Recommends:     /usr/bin/shar
Recommends:     /usr/bin/star
Recommends:     /usr/bin/tar
Recommends:     /usr/bin/unshar
Recommends:     /usr/bin/unzip
Recommends:     /usr/bin/xdms
Recommends:     /usr/bin/xz
Recommends:     /usr/bin/zip
Recommends:     /usr/bin/zopfli
Recommends:     /usr/bin/zpaq

# Available through RPMFusion
Recommends:     /usr/bin/lha
Recommends:     /usr/bin/mac
Recommends:     /usr/bin/unace
Recommends:     /usr/bin/unrar

# Not available in Fedora
# Recommends:     /usr/bin/lcab
# Recommends:     /usr/bin/lhasa
# Recommends:     /usr/bin/rar
# Recommends:     /usr/bin/unadf
# Recommends:     /usr/bin/unalz
# Recommends:     /usr/bin/zoo

# Planned
# Recommends:     /usr/bin/clzip
# Recommends:     /usr/bin/lrzip
# Recommends:     /usr/bin/pdlzip
# Recommends:     /usr/bin/plzip

# Python 2 only
# Recommends:     /usr/bin/archmage


%description %{_description}

%package -n python3-%{name}
Summary:        %{summary}

%description -n python3-%{name}
%{_description}

Python 3 sub-package.

%prep
%forgesetup
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}ib
mkdir -p %{buildroot}%{_mandir}/man1/
install -Dpm 0644 doc/patool.1 %{buildroot}%{_mandir}/man1/patool.1

%check
%pytest

%files
%license COPYING
%doc README.md doc/*.md doc/changelog.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sun Apr 06 2025 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-1
- Update to 4.0.0

* Sun Apr 06 2025 Robert-André Mauchin <zebob.m@gmail.com> - 3.1.3-2
- Remove pyproject_buildrequires -t since we use Pytest

* Mon Feb 17 2025 Robert-André Mauchin <zebob.m@gmail.com> - 3.1.3-1
- Update to 3.1.3

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-0.30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-0.29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.12-0.28
- Rebuilt for Python 3.13

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-0.27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-0.26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Oct 14 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.12-0.25
- Bump to commit ab64562c8cdac34dfd69fcb6e30c8c0014282d11

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.12-21
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.12-18
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.12-15
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.12-12
- Rebuilt for Python 3.9

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.12-10
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.12-9
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 14:12:12 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.12-7
- Disable Archmage which is Python 2 only

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 17 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.12-5
- Drop Python 2 subpackage

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.12-3
- Rebuilt for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.12-2
- Rebuilt for Python 3.7

* Fri Feb 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.12-1
- First RPM release

## END: Generated by rpmautospec
